<?php
/**
 * Plugin Name: bxslider content Widget1
 * Description: 상품 단일 이미지 슬라이더
 * Version: 1.0
 * Author: Venusian
 * Author URI: http://martian36.tistory.com
 */


class bxslider_content extends WP_Widget {
	
  public function __construct() {
    // widget actual processes
    $options = array(
      'Description' => '상품 단일 이미지 슬라이더',
      'name'        => 'bxslider content widget1' 
    );
    parent::__construct('bxslider_content', '', $options);	
	}

public function widget( $args, $instance ) {
  // outputs the content of the widget
  wp_enqueue_style( 'bxslider-style', plugins_url('jquery.bxslider.css', __FILE__) );
	wp_enqueue_script( 'bxslider-script', plugins_url('jquery.bxslider-1.js', __FILE__) );
  wp_enqueue_style( 'bxslider-content-style', plugins_url('bxslider-content.css', __FILE__) );
	wp_enqueue_script( 'bxslider-content-script', plugins_url('bxslider-content.js', __FILE__) );
  extract($args);
    
    $instance = wp_parse_args( (array) $instance, array( 'title' => '', 'category_id' => 0 ) );

    $title = apply_filters('widget_title', empty($instance['title']) ? '' : 		$instance['title'], $instance, $this->id_base);
    $category_id = $instance['category_id'];    
		$id = rand(100, 100000);
    echo $args['before_widget'];
    if ( ! empty( $title ) )
      echo $args['before_title'] . $title . $args['after_title'];
      
    echo $args['after_widget']; 

?>	
	<script>
	jQuery(document).ready(function($){
	
		$('#category-slider-<?php echo $id;?>').bxSlider({
		  auto: true,
		  adaptiveHeight: false,
		  mode:'fade',
		  pager:false,
		  autoHover: true,
		  stopAuto: false
		});
	
	});		
	</script>
<div id="category-slider-<?php echo $id;?>" >
 <?php
		$term = get_term( $category_id, 'product_cat' );
		$args = array( 'post_type' => 'product', 'posts_per_page' => 10, 'product_cat' => $term->name, 'orderby' => 'rand' );
		$loop = new WP_Query( $args );
	  while ( $loop->have_posts() ) : $loop->the_post(); global $product; ?>

    <div class="category-slide">    
      <h5><?php the_title(); ?></h5>  
            
      <div class="category-img woocommerce">
        <a href="<?php echo get_permalink( $loop->post->ID ) ?>" title="<?php echo esc_attr($loop->post->post_title ? $loop->post->post_title : $loop->post->ID); ?>">
        <?php woocommerce_show_product_sale_flash( $post, $product ); ?>
        <?php if (has_post_thumbnail( $loop->post->ID )) echo get_the_post_thumbnail($loop->post->ID, 'shop_single'); else echo '<img src="'.woocommerce_placeholder_img_src().'" alt="image01" width="300px" height="300px" />'; ?>
        </a>
        <p itemprop="price" class="price"><?php echo $product->get_price_html(); ?></p>
        <p><?php echo bx_excerpt(30); ?></p>
      </div>
        <a class="btn btn-success" href="<?php echo get_permalink( $loop->post->ID ) ?>" title="<?php echo esc_attr($loop->post->post_title ? $loop->post->post_title : $loop->post->ID); ?>">사러가기</a>
    </div>
    <?php endwhile; ?>
    <?php wp_reset_query(); ?>
</div><!--/.products-->

<?php 
  }

  public function form( $instance ) {
    // outputs the options form on admin
    
    $instance = wp_parse_args( (array) $instance, array( 'title' => '', 'category_id' => 0 ) );
    
    $widget_id = str_replace('bxslider-','',$this->id);
    
    $title = esc_attr($instance['title']);
    $category_id = $instance['category_id'];
    ?>
    <p>
    <label for="<?php echo $this->get_field_name( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
    <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
    </p>
    <p><label for="<?php echo $this->get_field_id('category_id'); ?>"><?php _e('Category:', 'bxslider_content'); ?></label> 
    <?php wp_dropdown_categories( array('orderby' => 'name', 'selected' => $category_id, 'name' => $this->get_field_name('category_id'), 'id' => $this->get_field_id('category_id'), 'class' => 'widefat', 'depth' => true, 'taxonomy' => 'product_cat') ); ?>
    </p>    
    <?php     
  }

  public function update( $new_instance, $old_instance ) {
    // processes widget options to be saved
    $instance = $old_instance;
    $instance['title'] = esc_attr($new_instance['title']);
    $instance['category_id'] = $new_instance['category_id'];
		$effect = esc_attr($instance['effect']);
    return $instance;   
  }
}

function myplugin_register_widgets() {
  register_widget( 'bxslider_content' );
}

add_action( 'widgets_init', 'myplugin_register_widgets' );


function bx_excerpt($limit) {
  $bx_excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($bx_excerpt)>=$limit) {
    array_pop($bx_excerpt);
    $bx_excerpt = implode(" ",$bx_excerpt).'...';
  } else {
    $bx_excerpt = implode(" ",$bx_excerpt);
  }	
  $bx_excerpt = preg_replace('`\[[^\]]*\]`','',$bx_excerpt);
  return $bx_excerpt;
}





