<?php
/**
 * Plugin Name: Carousel Content Slider
 * Description: 3개의 아이템을 슬라이드하는 캐러젤 컨텐트 슬라이더
 * Version: 1.0
 * Author: Venusian
 * Author URI: http://martian36.tistory.com
 */

class Carousel_Content extends WP_Widget {

	public function __construct() {
		// widget actual processes
		$options = array(
			'Description' => '3개의 아이템을 슬라이드하는 캐러젤 컨텐트 슬라이더',
			'name' 				=> 'Carousel Content' 
		);
		parent::__construct('Carousel_Content', '', $options);
	}

	public function widget( $args, $instance ) {
		// outputs the content of the widget
		extract($args);
		
		$instance = wp_parse_args( (array) $instance, array( 'title' => '', 'category_id' => 0 ) );

		$title = apply_filters('widget_title', empty($instance['title']) ? '' : $instance['title'], $instance, $this->id_base);
		$category_id = $instance['category_id'];		
		$id = rand(100, 100000);
		echo $args['before_widget'];
		if ( ! empty( $title ) )
			echo $args['before_title'] . $title . $args['after_title'];
		
		echo $args['after_widget'];		
		?>
	<script>
	jQuery(document).ready(function($){
	
		$('#ca-container-<?php echo $id;?>').contentcarousel({
		 	// speed for the sliding animation
		  sliderSpeed     : 1000,
		  // easing for the sliding animation
		  sliderEasing    : 'easeOutExpo',
		  // speed for the item animation (open / close)
		  itemSpeed       : 500,
		  // easing for the item animation (open / close)
		  itemEasing      : 'easeOutExpo',
		  // number of items to scroll at a time
		  scroll          : 1
		});
	
	});		
	</script>
			<div id="ca-container-<?php echo $id;?>" class="ca-container">


				<div class="ca-wrapper">

					<?php
					$term = get_term( $category_id, 'product_cat' );
					
	        $args = array( 'post_type' => 'product', 'posts_per_page' => 10, 'product_cat' => $term->name, 'orderby' => 'rand' );

	        $loop = new WP_Query( $args );
	        while ( $loop->have_posts() ) : $loop->the_post(); global $product; ?>					
					<div class="ca-item">
						<div class="ca-item-main">
							<div class="woocommerce">
								<?php if (has_post_thumbnail( $loop->post->ID )) echo get_the_post_thumbnail($loop->post->ID, 'shop_thumbnail'); else echo '<img src="'.woocommerce_placeholder_img_src().'" alt="image01" width="300px" height="300px" />'; ?>
							</div>
							<h3><?php the_title(); ?></h3>
							<p itemprop="price" class="price"><?php echo $product->get_price_html(); ?></p>
							<h4>
								<span class="ca-quote">&ldquo;</span>
								<span class="short-desc1"><?php echo ca_excerpt(20); ?></span>
							</h4>
								<a href="#" class="ca-more">more...</a>
						</div>
						<div class="ca-content-wrapper">
							<div class="ca-content">
								<h6><?php the_title(); ?></h6>
								<a href="#" class="ca-close">close</a>
								<div class="ca-content-text">
									<p><?php the_excerpt(); ?></p>
								</div>
								<ul class="unstyled">
									<li><a href="<?php echo get_permalink( $loop->post->ID ) ?>" title="<?php echo esc_attr($loop->post->post_title ? $loop->post->post_title : $loop->post->ID); ?>">더보기</a>
									</li>
								</ul>
							</div>
						</div>
					</div>
			    <?php endwhile; ?>
    			<?php wp_reset_query(); ?>


				</div>
			</div>

<?php 
	}

 	public function form( $instance ) {
		// outputs the options form on admin
		
		$instance = wp_parse_args( (array) $instance, array( 'title' => '', 'category_id' => 0 ) );
		
		$widget_id = str_replace('Carousel-','',$this->id);
		
		$title = esc_attr($instance['title']);
		$category_id = $instance['category_id'];
		?>
		<p>
		<label for="<?php echo $this->get_field_name( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>
    <p><label for="<?php echo $this->get_field_id('category_id'); ?>"><?php _e('Category:', 'Carousel_Content_widget'); ?></label> 
    <?php wp_dropdown_categories( array('orderby' => 'name', 'selected' => $category_id, 'name' => $this->get_field_name('category_id'), 'id' => $this->get_field_id('category_id'), 'class' => 'widefat', 'depth' => true, 'taxonomy' => 'product_cat') ); ?>
    </p>		
		<?php 		
	}

	public function update( $new_instance, $old_instance ) {
		// processes widget options to be saved
		$instance = $old_instance;
		$instance['title'] = esc_attr($new_instance['title']);
		$instance['category_id'] = $new_instance['category_id'];


		return $instance;		
	}
}
function myplugin_register_widgets2() {
	register_widget( 'Carousel_Content' );
}

add_action( 'widgets_init', 'myplugin_register_widgets2' );

function ca_excerpt($limit) {
  $ca_excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($ca_excerpt)>=$limit) {
    array_pop($ca_excerpt);
    $ca_excerpt = implode(" ",$ca_excerpt).'...';
  } else {
    $ca_excerpt = implode(" ",$ca_excerpt);
  }	
  $ca_excerpt = preg_replace('`\[[^\]]*\]`','',$ca_excerpt);
  return $ca_excerpt;
}